package com.bonus.canteen.core.supply.purchase.domain.param;

import com.bonus.canteen.core.supply.purchase.domain.bo.DrpContractAttachmentDTO;
import com.bonus.canteen.core.supply.purchase.domain.bo.DrpContractDetailCommitDTO;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

public class DrpContractCommitDTO {
   @ApiModelProperty("合同编号")
   private String contractId;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("合同提交状态(1待提交,2已提交)")
   private Integer commitStatus;
   @ApiModelProperty("合同总金额")
   private Long contractAmount;
   @ApiModelProperty("合同签订日期")
   private LocalDate contractSigningTime;
   @ApiModelProperty("合同备注说明")
   private String remark;
   @ApiModelProperty("食堂ID")
   private Long canteenId;
   @ApiModelProperty("合同标题")
   private String contractTitle;
   @ApiModelProperty("合同开始时间")
   private LocalDateTime contractStartTime;
   @ApiModelProperty("合同结束时间")
   private LocalDateTime contractEndTime;
   @ApiModelProperty("合同货品数量")
   private Double totalNum;
   @ApiModelProperty("类别数量")
   private Integer categoryNum;
   @ApiModelProperty("付款方式(1一次性付款,2分期付款)")
   private Integer payMoneyStyle;
   @ApiModelProperty("付款日期")
   private LocalDate payMoneyDate;
   @ApiModelProperty("收款银行")
   private String collectMoneyBank;
   @ApiModelProperty("收款账号")
   private String collectMoneyAccount;
   @ApiModelProperty("账户名称")
   private String collectMoneyAccountName;
   @ApiModelProperty("付款备注")
   private String payRemark;
   @ApiModelProperty("合同附件")
   private List<DrpContractAttachmentDTO> attachmentDTOList;
   @ApiModelProperty("负责人")
   private String contractPerson;
   @ApiModelProperty("合同明细")
   private List<DrpContractDetailCommitDTO> detailList;

   public String getContractId() {
      return this.contractId;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public Integer getCommitStatus() {
      return this.commitStatus;
   }

   public Long getContractAmount() {
      return this.contractAmount;
   }

   public LocalDate getContractSigningTime() {
      return this.contractSigningTime;
   }

   public String getRemark() {
      return this.remark;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getContractTitle() {
      return this.contractTitle;
   }

   public LocalDateTime getContractStartTime() {
      return this.contractStartTime;
   }

   public LocalDateTime getContractEndTime() {
      return this.contractEndTime;
   }

   public Double getTotalNum() {
      return this.totalNum;
   }

   public Integer getCategoryNum() {
      return this.categoryNum;
   }

   public Integer getPayMoneyStyle() {
      return this.payMoneyStyle;
   }

   public LocalDate getPayMoneyDate() {
      return this.payMoneyDate;
   }

   public String getCollectMoneyBank() {
      return this.collectMoneyBank;
   }

   public String getCollectMoneyAccount() {
      return this.collectMoneyAccount;
   }

   public String getCollectMoneyAccountName() {
      return this.collectMoneyAccountName;
   }

   public String getPayRemark() {
      return this.payRemark;
   }

   public List<DrpContractAttachmentDTO> getAttachmentDTOList() {
      return this.attachmentDTOList;
   }

   public String getContractPerson() {
      return this.contractPerson;
   }

   public List<DrpContractDetailCommitDTO> getDetailList() {
      return this.detailList;
   }

   public void setContractId(final String contractId) {
      this.contractId = contractId;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setCommitStatus(final Integer commitStatus) {
      this.commitStatus = commitStatus;
   }

   public void setContractAmount(final Long contractAmount) {
      this.contractAmount = contractAmount;
   }

   public void setContractSigningTime(final LocalDate contractSigningTime) {
      this.contractSigningTime = contractSigningTime;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setContractTitle(final String contractTitle) {
      this.contractTitle = contractTitle;
   }

   public void setContractStartTime(final LocalDateTime contractStartTime) {
      this.contractStartTime = contractStartTime;
   }

   public void setContractEndTime(final LocalDateTime contractEndTime) {
      this.contractEndTime = contractEndTime;
   }

   public void setTotalNum(final Double totalNum) {
      this.totalNum = totalNum;
   }

   public void setCategoryNum(final Integer categoryNum) {
      this.categoryNum = categoryNum;
   }

   public void setPayMoneyStyle(final Integer payMoneyStyle) {
      this.payMoneyStyle = payMoneyStyle;
   }

   public void setPayMoneyDate(final LocalDate payMoneyDate) {
      this.payMoneyDate = payMoneyDate;
   }

   public void setCollectMoneyBank(final String collectMoneyBank) {
      this.collectMoneyBank = collectMoneyBank;
   }

   public void setCollectMoneyAccount(final String collectMoneyAccount) {
      this.collectMoneyAccount = collectMoneyAccount;
   }

   public void setCollectMoneyAccountName(final String collectMoneyAccountName) {
      this.collectMoneyAccountName = collectMoneyAccountName;
   }

   public void setPayRemark(final String payRemark) {
      this.payRemark = payRemark;
   }

   public void setAttachmentDTOList(final List<DrpContractAttachmentDTO> attachmentDTOList) {
      this.attachmentDTOList = attachmentDTOList;
   }

   public void setContractPerson(final String contractPerson) {
      this.contractPerson = contractPerson;
   }

   public void setDetailList(final List<DrpContractDetailCommitDTO> detailList) {
      this.detailList = detailList;
   }
}
